From ef665fde78cc7c17ad58680ec188da418908ebec Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: Nov 16 2020 01:25:31 +0000
Subject: [PATCH 1413/2232] Suppress clippy nonminimal_bool lint


---

diff --git a/gen/build/src/lib.rs b/gen/build/src/lib.rs
index 5c6297a..d2a0458 100644
--- a/gen/build/src/lib.rs
+++ b/gen/build/src/lib.rs
@@ -50,6 +50,7 @@
     clippy::inherent_to_string,
     clippy::needless_doctest_main,
     clippy::new_without_default,
+    clippy::nonminimal_bool,
     clippy::or_fun_call,
     clippy::toplevel_ref_arg
 )]
diff --git a/gen/cmd/src/main.rs b/gen/cmd/src/main.rs
index c723039..e607030 100644
--- a/gen/cmd/src/main.rs
+++ b/gen/cmd/src/main.rs
@@ -3,6 +3,7 @@
     clippy::inherent_to_string,
     clippy::large_enum_variant,
     clippy::new_without_default,
+    clippy::nonminimal_bool,
     clippy::or_fun_call,
     clippy::toplevel_ref_arg
 )]
diff --git a/gen/lib/src/lib.rs b/gen/lib/src/lib.rs
index 963e870..506b007 100644
--- a/gen/lib/src/lib.rs
+++ b/gen/lib/src/lib.rs
@@ -11,6 +11,7 @@
 #![allow(
     clippy::inherent_to_string,
     clippy::new_without_default,
+    clippy::nonminimal_bool,
     clippy::or_fun_call,
     clippy::toplevel_ref_arg
 )]
diff --git a/macro/src/lib.rs b/macro/src/lib.rs
index 852aacc..1de7e6c 100644
--- a/macro/src/lib.rs
+++ b/macro/src/lib.rs
@@ -2,6 +2,7 @@
     clippy::inherent_to_string,
     clippy::large_enum_variant,
     clippy::new_without_default,
+    clippy::nonminimal_bool,
     clippy::or_fun_call,
     clippy::toplevel_ref_arg,
     clippy::useless_let_if_seq

